#if defined __BUFFALO_FUNCS_H__
#else
#define __BUFFALO_FUNCS_H__

#define BUFFALO_UPS_CONFIG_FILE	"/etc/melco/ups"
#define RECOVER_CONFIG_KEY	"ups_recover="
#define KEY_UPS_RECOVER_APC_USB	"usb_on"
#define PROC_UPS_RECOVER	"/proc/buffalo/ups/ups_recover"

extern int SetupUpsRecoverFlagAuto(void);

#ifdef DEBUG
	#define TRACE(x)	x
#else
	#define TRACE(x)
#endif

#define ENTERED		TRACE(printf("%s> Entered\n", __FUNCTION__))
#define LEAVING(x)	TRACE(printf("%s> Leaving(with return code = %d)\n", __FUNCTION__, x));


#include <strings.h>
#include <stdio.h>
#include <stdlib.h>

#define UPS_LINE_NORMAL		0
#define UPS_LINE_FAIL		1
#define UPS_DEVICE_ERROR	2

#define UPS_BATTERY_NORMAL		0
#define UPS_BATTERY_LOW			1

#define UPS_SHUTDOWN_ACTIVE_C	"active"
#define UPS_SHUTDOWN_NORMAL_C	"normal"

#define UPS_SHUTDOWN_NORMAL	0
#define UPS_SHUTDOWN_ACTIVE	1
#define UPS_SHUTDOWN_DEFAULT	UPS_SHUTDOWN_NORMAL

#define UPS_STATUS_DEFAULT			UPS_LINE_NORMAL
#define UPS_BATTERY_DEFAULT			UPS_BATTERY_NORMAL
#define UPS_SHUTDOWN_ACTIVE_DEFAULT	UPS_SHUTDOWN_NORMAL

#define UPS_STATUS_FILE	"/tmp/ups_status"
#define CMD_UPS_FAIL	"/usr/local/bin/lcd_error_man.sh ups_error on diag_on buzzer_on"
#define CMD_UPS_RECOVER	"/usr/local/bin/lcd_error_man.sh ups_error off"

#define BUF_DEBUG
#ifdef BUF_DEBUG
	#define TRACE(x)	x
#else
	#define TRACE(x)
#endif


struct buf_state{
	int ups_status;
	int battery_low;
	int shutdown_active;
};

extern int write_out_status(int event); 

#endif
